PluXml.org

Blog ou CMS à l'Xml

Vous n'êtes pas identifié(e).

#526 21/07/2017 21:53:13

stevanovich
Membre
Inscription : 17/02/2010
Messages : 59

Re : [plugin] plxMyShop le Ecommerce pour Pluxml

ppmt a écrit :

@stevanovich : que veux tu dire par quantitatif?

Si j'ai 25 pot de miel , m'interdire d'en vendre 26 ... ?
Une mini gestion de stock en fait .
Merci

Dernière modification par stevanovich (21/07/2017 21:53:57)

Hors ligne

#527 21/07/2017 21:56:04

Sudwebdesign
Membre
Inscription : 15/02/2011
Messages : 157

Re : [plugin] plxMyShop le Ecommerce pour Pluxml

@ppmt: il doit vouloir dire, si le stock est géré.
@stephanovich: c'est ça?

[édit] on c'est croisé, ok prochaine évol: les stocks wink

Dernière modification par Sudwebdesign (21/07/2017 22:04:27)

Hors ligne

#528 21/07/2017 22:00:02

stevanovich
Membre
Inscription : 17/02/2010
Messages : 59

Re : [plugin] plxMyShop le Ecommerce pour Pluxml

Sudwebdesign a écrit :

@ppmt: il doit vouloir dire, si le stock est géré.
@stephanovich: c'est ça?

Oui , yep ! yes ! viiiiii ! ;-)

Hors ligne

#529 21/07/2017 22:05:20

stevanovich
Membre
Inscription : 17/02/2010
Messages : 59

Re : [plugin] plxMyShop le Ecommerce pour Pluxml

Euhhhh , j'ai repris la branche master et ...

[== Indéfini ==]
Fatal error: Can't use method return value in write context in /volume1/web/hembee.com/plugins/plxMyShop/plxMyShop.php on line 84

Hors ligne

#530 21/07/2017 23:26:24

Sudwebdesign
Membre
Inscription : 15/02/2011
Messages : 157

Re : [plugin] plxMyShop le Ecommerce pour Pluxml

stevanovich a écrit :

Euhhhh , j'ai repris la branche master et ...

[== Indéfini ==]
Fatal error: Can't use method return value in write context in /volume1/web/hembee.com/plugins/plxMyShop/plxMyShop.php on line 84

Curieux, car les fix concernés les dates de livraison et cette ligne n'a point évoluer entre la master et la 0.13.1r4.
réenregistre la config du plugin, il y a peu-être une erreur qui se produit par la car voici la ligne 84 concerné du fichier .

[== PHP ==]
  $this->aConf['racine_products'] = (empty($this->getParam('racine_products'))?'data/products/':$this->getParam('racine_products'));

Est-ce bien la même chez toi?

Et si ça résous pas l'erreur car elle est bizarre smile
Quelle est ta version de PHP? et a quel moment (public, config, admin, édit, lister ???)

Dernière modification par Sudwebdesign (21/07/2017 23:28:21)

Hors ligne

#531 21/07/2017 23:37:32

stevanovich
Membre
Inscription : 17/02/2010
Messages : 59

Re : [plugin] plxMyShop le Ecommerce pour Pluxml

Sudwebdesign a écrit :

Et si ça résous pas l'erreur car elle est bizarre smile
Quelle est ta version de PHP? et a quel moment (public, config, admin, édit, lister ???)

C'est sur ma version dev en locale , c'est du PHP Version 5.3.29

je vais essayer sur un wamp.

Hors ligne

#532 22/07/2017 00:27:18

stevanovich
Membre
Inscription : 17/02/2010
Messages : 59

Re : [plugin] plxMyShop le Ecommerce pour Pluxml

Finalement essayé sur un XAMP , PHP v7.xxx
ça a foutu un gros bazard avec les plugins spx------ , j'ai du en désactiver une grande partie .
Par contre, oui, ça vient de ma config en locale, le PHP 5.3 semble ne pas fonctionner avec plxMyShop  yikes
Voilà , tout ça pour rien big_smile

Hors ligne

#533 22/07/2017 00:38:23

Sudwebdesign
Membre
Inscription : 15/02/2011
Messages : 157

Re : [plugin] plxMyShop le Ecommerce pour Pluxml

stevanovich a écrit :
Sudwebdesign a écrit :

Et si ça résous pas l'erreur car elle est bizarre smile
Quelle est ta version de PHP? et a quel moment (public, config, admin, édit, lister ???)

C'est sur ma version dev en locale , c'est du PHP Version 5.3.29

je vais essayer sur un wamp.

C'est bien un bug qui apparaît avec les versions de php en dessous de la 5.5: https://stackoverflow.com/questions/107 … te-context, merci du retour, je vois ou ça cloche, je corrige ça... (OU pas?)

Dernière modification par Sudwebdesign (22/07/2017 00:45:13)

Hors ligne

#534 22/07/2017 01:43:07

Sudwebdesign
Membre
Inscription : 15/02/2011
Messages : 157

Re : [plugin] plxMyShop le Ecommerce pour Pluxml

stevanovich a écrit :

Finalement essayé sur un XAMP , PHP v7.xxx
ça a foutu un gros bazard avec les plugins spx------ , j'ai du en désactiver une grande partie .
Par contre, oui, ça vient de ma config en locale, le PHP 5.3 semble ne pas fonctionner avec plxMyShop  yikes
Voilà , tout ça pour rien big_smile

Pour rien, non, j'ai corrigé les parties du code qui semblais poser problème, car le but du jeu est de rester compatible avec le maximum de serveur php.
Afin de vérifier si c'est bon, peu-tu tester avec la version de la branche php_under_5.5 et si tout roule bien, je fusionne avec la branche master wink

Hors ligne

#535 22/07/2017 06:57:55

ppmt
Membre
Lieu : UK
Inscription : 18/06/2015
Messages : 352
Site Web

Re : [plugin] plxMyShop le Ecommerce pour Pluxml

stevanovich a écrit :
Sudwebdesign a écrit :

@ppmt: il doit vouloir dire, si le stock est géré.
@stephanovich: c'est ça?

Oui , yep ! yes ! viiiiii ! ;-)

Ah ben je suis en train de travailler dessus...donc patience...il va t'en falloir avec moi car je suis pas un pro de la programmation smile

Hors ligne

#536 22/07/2017 10:22:16

stevanovich
Membre
Inscription : 17/02/2010
Messages : 59

Re : [plugin] plxMyShop le Ecommerce pour Pluxml

Sudwebdesign a écrit :

Afin de vérifier si c'est bon, peu-tu tester avec la version de la branche php_under_5.5 et si tout roule bien, je fusionne avec la branche master wink

On avance ! big_smile

Erreur en 990 , et aussi 1659

[== Indéfini ==]
Fatal error: Can't use function return value in write context in /volume1/web/hembee.com/plugins/plxMyShop/plxMyShop.php on line 990

Dernière modification par stevanovich (22/07/2017 10:38:06)

Hors ligne

#537 22/07/2017 12:35:05

bazooka07
Membre
Lieu : Quelque part en Rhône-Alpes
Inscription : 06/02/2014
Messages : 1 034
Site Web

Re : [plugin] plxMyShop le Ecommerce pour Pluxml

Pour mettre à jour son XAMP, c'est par là:
https://www.apachefriends.org/fr/download.html
Sur le site de PHP, la dernière version maintenue est 5.6.31 !

Les mises à jour sous Windows c'est pas top. Mieux vaut utiliser Linux  wink

Hors ligne

#538 22/07/2017 12:42:45

stevanovich
Membre
Inscription : 17/02/2010
Messages : 59

Re : [plugin] plxMyShop le Ecommerce pour Pluxml

bazooka07 a écrit :

Les mises à jour sous Windows c'est pas top. Mieux vaut utiliser Linux  wink

Bonjour,
Tu aurais une idée pour mettre à jour mon linux sur mon DS209+ (synology) qui n'est plus maintenu par SYNOLOGY ?
big_smile

Hors ligne

#539 22/07/2017 13:11:23

bazooka07
Membre
Lieu : Quelque part en Rhône-Alpes
Inscription : 06/02/2014
Messages : 1 034
Site Web

Re : [plugin] plxMyShop le Ecommerce pour Pluxml

Yes !
T'achètes un Raspberry Pi ou un Orange Pi

Je ne connais pas la différence entre un DS 209+ et un DS 209 mais le dernier est maintenu :
https://www.synology.com/en-us/releaseNote/DS209

Pour info, j'ai un DS108J qui dort depuis des années derrière mon bureau.
Mais il fait du bruit et adore les kilowatts. Du coup j'ai basculé avec un OPI PC+ avec SSD

Dernière modification par bazooka07 (22/07/2017 13:11:43)

Hors ligne

#540 22/07/2017 13:54:58

Sudwebdesign
Membre
Inscription : 15/02/2011
Messages : 157

Re : [plugin] plxMyShop le Ecommerce pour Pluxml

C'est pas le débat les gars wink

@stevanovich: des correctifs ont été apportés a la php_under_5.5, tu peu la tester.
Et si tu as le temps, tu peu aussi tester la metaMML qui est bien avancée.[edit 2]elle a les même code, donc ça va sûrement planter...
Tout a l'air de rouler chez moi: serveur en php 5.5 tongue


[Édit] @Bazooka07: en aparté: une MAJ sur la branche select dossier (compare select_dossier) wink

@PluX

Dernière modification par Sudwebdesign (22/07/2017 14:32:51)

Hors ligne

#541 22/07/2017 15:26:36

bazooka07
Membre
Lieu : Quelque part en Rhône-Alpes
Inscription : 06/02/2014
Messages : 1 034
Site Web

Re : [plugin] plxMyShop le Ecommerce pour Pluxml

@Sudwebdesign,
Effectivement ! Mais je ne suis pas sûr qu'un object null est une longueur

[== Indéfini ==]
sed -i '50s/targets\.length/targets != null/'  core/admin/foot.php

Je corrige dès que possible

Hors ligne

#542 22/07/2017 15:48:20

Sudwebdesign
Membre
Inscription : 15/02/2011
Messages : 157

Re : [plugin] plxMyShop le Ecommerce pour Pluxml

@stevanovich:
des correctifs ont été apportés a la metaMML qui est passer en alpha3 (php < 5.5).
Elle me tourne mieux que la master au niveau des onglets de l'admin, mais j'ai peu-être testé trop vite smile
Si (tu|vous) (veux|voulez) bien la tester, pour télécharger la derniere sortie c'est par ==>ici<==


@Bazooka07: aucune idée, je suis plus doué en php, un simple console.log(targets); donne un tableau vide et un array a bien une longueur, du moins dans Firefox wink

@PluX

Dernière modification par Sudwebdesign (22/07/2017 16:12:34)

Hors ligne

#543 22/07/2017 19:06:03

stevanovich
Membre
Inscription : 17/02/2010
Messages : 59

Re : [plugin] plxMyShop le Ecommerce pour Pluxml

Sudwebdesign a écrit :

Si (tu|vous) (veux|voulez) bien la tester, pour télécharger la derniere sortie c'est par ==>ici<==


J'ai toujours un problème :

[== Indéfini ==]
Parse error: syntax error, unexpected '[' in /volume1/web/hembee.com/plugins/plxMyShop/plxMyShop.php on line 1728

Et merci !, si je peux t'aider  big_smile

Dernière modification par stevanovich (22/07/2017 19:06:52)

Hors ligne

#544 22/07/2017 19:14:31

stevanovich
Membre
Inscription : 17/02/2010
Messages : 59

Re : [plugin] plxMyShop le Ecommerce pour Pluxml

Sudwebdesign a écrit :

C'est pas le débat les gars wink

@stevanovich: des correctifs ont été apportés a la php_under_5.5, tu peu la tester.

Et la aussi :

[== Indéfini ==]
Parse error: syntax error, unexpected '[' in /volume1/web/hembee.com/plugins/plxMyShop/plxMyShop.php on line 1708

Je t'aiderai moralement ...  devil

Hors ligne

#545 23/07/2017 01:48:24

Sudwebdesign
Membre
Inscription : 15/02/2011
Messages : 157

Re : [plugin] plxMyShop le Ecommerce pour Pluxml

stevanovich a écrit :

Et la aussi :

[== Indéfini ==]
Parse error: syntax error, unexpected '[' in /volume1/web/hembee.com/plugins/plxMyShop/plxMyShop.php on line 1708

Je t'aiderai moralement ...  devil

Merci, erreur de syntaxe des tableaux (ajouté en php 5.4), je pensais qu'il y en avais plus, c'est maintenant corrigé et publié dans php_under_5.5 wink

Hors ligne

#546 23/07/2017 11:20:40

stevanovich
Membre
Inscription : 17/02/2010
Messages : 59

Re : [plugin] plxMyShop le Ecommerce pour Pluxml

Sudwebdesign a écrit :

Merci, erreur de syntaxe des tableaux (ajouté en php 5.4), je pensais qu'il y en avais plus, c'est maintenant corrigé et publié dans php_under_5.5 wink

Plus d'erreur dans la liste des plugins.
Maintenant je ne peux pas le paramétrer , j'ai une erreur config.php ligne 129:

[== Indéfini ==]
Fatal error: Can't use function return value in write context in /volume1/web/hembee.com/plugins/plxMyShop/config.php on line 129

Je pense que la fonction que la ligne suivant ou l'on rencontre empty posera aussi problème :

[== PHP ==]
 $plxPlugin->setParam('racine_commandes', (empty(trim($_POST['racine_commandes']))?'data/commandes/':trim($_POST['racine_commandes'])), 'string');;
 $plxPlugin->setParam('racine_products', (empty(trim($_POST['racine_products']))?'data/products/':trim($_POST['racine_products'])), 'string');

remplacé par :

[== PHP ==]
$plxPlugin->setParam('racine_commandes', (!(trim($_POST['racine_commandes']))?'data/commandes/':trim($_POST['racine_commandes'])), 'string');;
 $plxPlugin->setParam('racine_products', (!(trim($_POST['racine_products']))?'data/products/':trim($_POST['racine_products'])), 'string');

Je pense qu'il faut valider !!! et pourquoi 2 fois ;; à la fin de la première instruction ? ça influe ?


+ panier ligne 182

[== Indéfini ==]
Fatal error: Can't use method return value in write context in /volume1/web/hembee.com/plugins/plxMyShop/modeles/espacePublic/panier.php on line 182
[== PHP ==]
<a href="<?php echo $plxPlugin->plxMotor->urlRewrite($plxPlugin->getParam("urlCGV"));?>"><?php echo htmlspecialchars((empty($plxPlugin->getParam('useLangCGVDefault')))?$plxPlugin->getParam('libelleCGV'):$plxPlugin->getLang('L_COMMANDE_LIBELLE_DEFAUT'));?></a>

Pour avancer , remplacé (empty par (!

Dernière modification par stevanovich (23/07/2017 11:29:26)

Hors ligne

#547 23/07/2017 13:43:49

Sudwebdesign
Membre
Inscription : 15/02/2011
Messages : 157

Re : [plugin] plxMyShop le Ecommerce pour Pluxml

Bien vue, j'me fait un café et j'm'y met wink

Hors ligne

#548 23/07/2017 19:05:57

Sudwebdesign
Membre
Inscription : 15/02/2011
Messages : 157

Re : [plugin] plxMyShop le Ecommerce pour Pluxml

Après quelques cafés et une chasse aux cafards fructueuse, des correctifs ont été apportés a deux versions afin que le plugin soit compatible en PHP 5.1.
En fait, maintenant elles tournent très bien chez free.fr et si PluXml est installé dans un sous dossier wink

La php_under_5.5 et metaMML qui a hérité des solutions trouvés.

pour télécharger la Full Multilingue c'est par ==>ici<== (v0.13.1r4FM.51)
pour télécharger la php_under_5.5 c'est par ==>ici<== (0.13.1r4.51)

@stevanovich:
De ton coté tout devrais bien rouler maintenant, peu importe la version choisie smile

@tous: dans un avenir (plus ou moins proche) c'est la Full Multilingue qui va être la continuité, si quelques personnes veulent tester la mise a jour de la v0.13.1r4 a la v0.13.1r4FM.51

@ppmt: La prochaine aura peut-être une gestion de stock, nous allons voir ça ;-) 

@PluX

Dernière modification par Sudwebdesign (23/07/2017 19:06:27)

Hors ligne

#549 23/07/2017 19:33:32

stevanovich
Membre
Inscription : 17/02/2010
Messages : 59

Re : [plugin] plxMyShop le Ecommerce pour Pluxml

Sudwebdesign a écrit :

De ton coté tout devrais bien rouler maintenant, peu importe la version choisie smile

J'ai pris la version multilingue , fonctionne maintenant parfaitement ... Quelques questions sur l'affichage.

Dans la définition du produit, il y avait un systeme d'onglet pour taper la description du produit qui a disparue mais intégrer dans le fil de la page .

Dans la boutique, lorsque je choisi une quantité et que j'ajoute l'article , j'ai un champ qui contient la forme :

[== HTML ==]
<form method="POST">
        <table class="tableauProduitsPanier">
         <tbody><tr>
          <th>Produit</th>
          <th class="nombre">Prix unitaire</th>
          <th>Nombre</th>
          <th colspan="2" class="nombre">Prix total</th>
         </tr>
         <tr>
          <td><a href="http://192.168.0.100/hembee.com/index.php?product1/produit-1">produit 1</a></td>
          <td class="nombre">79,00&nbsp;€</td>
          <td width="10%"><input type="number" name="nb[001]" value="1" min="0"></td>
          <td class="nombre"><input type="submit" class="red" name="retirerProduit[001]" value="Retirer"></td>
          <td class="nombre">79,00&nbsp;€</td>
         </tr>
         <tr>
          <td class="nombre" colspan="3"><input type="submit" name="recalculer" value="Recalculer le total"></td>
          <td class="nombre">Total&nbsp;:</td>
          <td class="nombre">79,00&nbsp;€</td>
         </tr>
        </tbody></table>
        <noscript>&lt;p class="red"&gt;Veuillez activer le JavaScript de votre navigateur pour accéder au formulaire de commande.&lt;/p&gt;</noscript>
       </form>

Soit ça vient de mon thème, un css , j'ai peut être déconné quelque part.
Soit ça vient d'un plugin.
Soit ....  big_smile

PS : Merci ! , et si tu cherches un testeur pour la gestion de stock, je suis preneur  tongue

Dernière modification par stevanovich (23/07/2017 19:34:33)

Hors ligne

#550 23/07/2017 19:43:38

cpalo
Membre
Lieu : Franqueville Eure
Inscription : 13/07/2011
Messages : 929

Re : [plugin] plxMyShop le Ecommerce pour Pluxml

Bonsoir,

Je n'ai pas abandonné le projet, mais depuis début juin j'ai arrêté le développement web. Mais je m'y remets enfin. Pour plxMyShop, je ne suis pas développeur php ; je travaille plus sur le thème.

Comme demandé je viens de faire la mise à jour:
dans le panneau d'administration j'ai ce message d'erreur :

Notice: Undefined index: default_lang in E:\htdocs\myPlxShop\plugins\plxMyShop\admin.php on line 213

Sur les site quand j'affiche la boutique :

Notice: Undefined index: pcat in E:\htdocsmyPlxShop\themes\plxShop\static-boutique-produits-par-categories.php on line 24
Notice: Undefined variable: cat_array in E:\htdocs\myPlxShop\themes\plxShop\static-boutique-produits-par-categories.php on line 28
Warning: Invalid argument supplied for foreach() in E:\htdocs\myPlxShop\themes\plxSimpleShop\static-boutique-produits-par-categories.php on line 28

Bonne fin de we
Cordialement

Dernière modification par cpalo (23/07/2017 19:45:36)

Hors ligne

Pied de page des forums

A propos Nous soutenir Contact Twitter Google+
Copyright © 2006-2018 PluXml.org, tous droits réservés